### Method

# Gio FileInfo remove_attribute

#### Declaration

    void
    g_file_info_remove_attribute (
      GFileInfo* info,
      const char* attribute
    )

#### Description

Removes all cases of `attribute` from `info` if it exists.

#### Parameters

`attribute`

  Type: `const char*`

  A file attribute key.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.